## -*- coding: utf-8; -*-
<%inherit file="/base.mako" />

<%def name="context_menu_items()"></%def>

<%def name="object_helpers()"></%def>

<%def name="render_form_buttons()"></%def>

<%def name="render_form()">
  ${form.render(buttons=capture(self.render_form_buttons))|n}
</%def>

<%def name="render_form_complete()">
  <div style="display: flex; justify-content: space-between;">

    <div class="form-wrapper">
      ${self.render_form()}
    </div>

    <div style="display: flex;">
      <div class="object-helpers">
        ${self.object_helpers()}
      </div>

      <ul id="context-menu">
        ${self.context_menu_items()}
      </ul>
    </div>

  </div>
</%def>

<%def name="make_buefy_form_app()">
  <script type="text/javascript">

    const BuefyForm = {
        template: '#buefy-form-template'
    }

    Vue.component('buefy-form', BuefyForm)

    new Vue({
        el: '#buefy-form-app'
    })

  </script>
</%def>


${self.render_form_complete()}

% if form.use_buefy:
    ${self.make_buefy_form_app()}
% endif
